/* MySQL/2 first step example program.
   Works on a freshly installed MySQL (3.23.28gamma at any rate),
   together with mysql-c.zip, and the mysqldll.dll from MySQL 3.22.26 package,
   compiled under VACPP 3.08.
   Prints out a list of the currently installed hosts, users and passwords, 
   on a fresh MySQL installation, this should simply be the user 'root' on 'localhost'.
*/
#include <os2.h> 
#define NO_CLIENT_LONG_LONG
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "mysql.h"


MYSQL mysql;
MYSQL_RES *rs;
MYSQL_ROW row;


int main(void)
{
  char szMessage[1000],user[100]="root",szSql[1000];
  int f;
  memset(&mysql, 0, sizeof(mysql));
  mysql_init(&mysql);/*setup the mysql struture defaults*/

  if (!mysql_real_connect(
     &mysql,
     "localhost",
     user,
     NULL,
     "mysql",
     0,
     "\\socket\\MySQL",
     0))/*connect to the database server*/
  {
    printf(szMessage, "Error: %s", mysql_error(&mysql));
    return (-1);
  }

  /*this is our query, ask for a list of all entries in the table 'user',
    specifying that all columns ('*') should be returned                */
  strcpy(szSql,"select * from user");  
  
  mysql_real_query(&mysql, szSql, strlen(szSql));/*do the query*/
  rs = mysql_store_result(&mysql); /*get the results table*/

  while((row = mysql_fetch_row(rs)))/*print out each entry of the results table*/
  {
    for(f=0;f<3;f++)/*first three columns only*/
      printf("%s ", (char *)row[f]);/*row must be cast to whatever type of data you expect*/
    printf("\n");
  }

  mysql_free_result(rs);/*end of query*/

  mysql_close(&mysql);/*close database, done!*/
  return 0;
}
